        subroutine der1d_mura
     &  (q0,x,dir,e,de,natom,nsurf,isurf,inum,dummy,du_e)
        implicit none
*
        include 'para.inc'
*
        real*8, parameter :: dx=1.0d-2
*
        integer natom,nsurf,isurf,inum,dummy
        real*8 q0(3,*),dir(3,*)
        real*8 x,e,de,du_e
*
        real*8 qt(3,matom),vt(msurf),dvdq(3,matom)
        real*8 rt,ead(msurf)
        integer k,iatom
        real*8 e1
        integer,parameter :: idum=1,idgrad=0
*
        write(*,*) 'Welcome to der1d'
*
          do iatom=1,natom
            do k=1,3
              qt(k,iatom)=q0(k,iatom)+dir(k,iatom)*x
            enddo
          enddo
*
          write(*,*) 'isurf start in der1d=',isurf
          call calvdv(qt,vt,dvdq,natom,nsurf,isurf,idum,idgrad)
          write(*,*) 'isurf Done in der1d'
          e=vt(isurf)
          if ( isurf-dummy .gt. 0) then
            du_e=vt(isurf-1)
          elseif ( isurf-dummy .lt. 0) then
            du_e=vt(isurf+1)
          else
            du_e=0.0d0
          endif
*
          de=0.d0
          do iatom=1,natom
            do k=1,3
              de=de+dvdq(k,iatom)*dir(k,iatom)
            enddo
          enddo
          write(*,*) 'analytical de=',de
*
*
*
        end
