*
*     for general parameters
*
      real*8, parameter :: pi=3.141592653589793d0
      real*8, parameter :: pi2=2.0d0*pi,pih=0.5d0*pi
      real*8, parameter :: light_speed=2.99792458d8
      real*8, parameter :: kb=1.3806d-23
*      real*8, parameter :: bohr=0.529177d0,bohr2SI=bohr*1d-10
*
*     more accurate "bohr" by WCC
*
      real*8, parameter :: bohr=0.529177249d0,bohr2SI=bohr*1d-10
      real*8, parameter :: au2eV=27.2114d0,eV2J=1.602d-19
      real*8, parameter :: au2J=au2eV*eV2J
      real*8, parameter :: au2kcal=627.510d0
      real*8, parameter :: wn2au=4.55635d-6
      real*8, parameter :: ev2K=11604.5d0
      real*8, parameter :: me=9.109534d-31,hbar=1.054589d-34
      real*8, parameter :: au2sec=me*bohr2SI*bohr2SI/hbar
      real*8, parameter :: amukg=1.6606d-27,mekg=9.1095d-31
      real*8, parameter :: amu=amukg/mekg
      real*8, parameter :: light_speed_au=light_speed/bohr2SI*au2sec
*
*     for imlssh.inc and the others
*
      integer, parameter :: matom=60
      integer, parameter :: mcart=3*matom,mcart2=mcart*(mcart+1)/2
      integer, parameter :: mf=mcart-6,mf2=mf*(mf+1)/2
      integer, parameter :: msurf=5
