        subroutine LZ(etot1d,ex,r0,dir,r,t10,t20,p,
     &                natom,nsurf,ilower,iupper,keyhop,
     &       eup_t10,elow_t10,eup_t20,elow_t20,eup_r0,elow_r0,
     &                sigma,delta) 
        implicit none
        real*8 etot1d,ex,r0,dir(3,*),r(3,*),t10,t20,p
        integer natom,nsurf,ilower,iupper,keyhop
        include 'para.inc'
        real*8 ead(msurf)
        real*8 redm
        common /redmass/redm
        real*8 err_rel
        common/err_rel/err_rel
        real*8 e_r0
        common/psmbig/e_r0(2)
        real*8 aa,bb,dd,g,fp,fm,fpc,fmc,sigma,delta,temp,g1,g2
        real*8 ss,cc,sin2,cos2,bf,g11,ure,uim,fac
        real*8,external :: bfun
        integer, parameter :: idbg=0
        real*8 eup_t10,elow_t10,eup_t20,elow_t20,eup_r0,elow_r0 
        real*8 psi,phi
        real*8 x,y,kf,gr,gi 
        real*8 sigmazero
        real*8 delta_psi
*
        kf=1 
        write(*,*)'going into aabblz'
        call aabblz(r,dir,etot1d,ex,r0,t10,t20,aa,bb,dd,
     &                natom,nsurf,ilower,iupper,
     &                eup_t10,elow_t10,eup_t20,elow_t20,eup_r0,elow_r0)
        write(*,*)'out of aabblz'

        write(*,*) 'bb=',bb

        call const_lz(bb,dd,fp,fm,fpc,fmc)
        temp=fp*fp+fm*fm
        sigmazero=dsqrt(2.d0/aa)*pi/4.d0*fmc/temp
        sigma=sigma+sigmazero
        delta=delta+dsqrt(2.d0/aa)*pi/4.d0*fpc/temp
        delta_psi=delta*(1.0d0+(5.0d0*((aa)**0.25d0)*(10.0d0**(-sigma))
     &  /((aa)**0.25d0)+0.8d0))
        temp=delta_psi/pi
        x=0.0d0 
        y=temp 
        call cgama(x,y,kf,gr,gi)
        phi=-temp+temp*dlog(temp)-datan(gi/gr)-0.25d0*pi

        IF(bb.ge.0)then

          keyhop=1
          if(idbg.eq.1) write(*,*) 'aa,bb=',aa,bb
          g=bb+dsqrt(bb*bb+0.4d0*aa+0.7d0)
          if(idbg.eq.1) write(*,*) 'aa,g=',aa,g
          p=dsqrt(2.0d0/(aa*g)) 
          if(idbg.eq.1) write(*,*) 'Pi,p=',Pi,p
          p=exp(-0.25d0*Pi*p) 
          if(idbg.eq.1) write(*,*) 'p=',p
          if (p.gt.0.99d0) p=1.d0 
          psi=sigma+phi 
          goto 9999

        ELSE ! bb<0

          keyhop=2
          g2=3.d0*sigma/pi/delta*dlog(1.2d0+aa)-1.d0/aa
          g1=1.8*(aa**(0.23))*dexp(-1.d0*delta)
          p=1.d0+bfun(sigma/pi)*dexp(2.d0*delta)-
     &      g2*dsin(sigma)*dsin(sigma)
          p=1.d0/p
          ss=dsin(sigma)
          cc=dcos(sigma)
          sin2=ss*ss
          cos2=cc*cc
          bf=bfun(sigma/pi)
          g11=g1*g1
          URe=sqrt(bf)*dexp(delta)-g1*sin2*(dexp(-1.d0*delta)/sqrt(bf))
          URe=URe*cc
          UIm=bf*dexp(2.d0*delta)-g11*sin2*cos2*dexp(-2.d0*delta)/bf+
     &          2*g1*cos2-g2
          UIm=abs(UIm)
          UIm=dsqrt(UIm)*ss
          write(*,*)'B(sigma/pi)',bf
          write(*,*)'URe',URe
          write(*,*)'UIm',UIm
          fac=UIm/URe
          fac=fac*fac
          fac=fac/(1.d0+fac) 
          psi=datan(UIm/URe) 
          if(etot1d.ge.elow_r0) goto 9999
          p=4.*p*(1.d0-p)*fac 

        END IF
*
 9999   continue
*
        write(*,*) 'p in LZ=',p
        write(*,*) 'sigma in LZ=',sigma
        write(*,*) 'sigmazero in LZ=',sigmazero
        write(*,*) 'delta in LZ=',delta
        write(*,*) 'psi in LZ=',psi
        return
        end
