        subroutine der1d(q0,x,dir,e,de,natom,nsurf,isurf,inum)
        implicit none
*
        include 'para.inc'
*
        real*8, parameter :: dx=1.0d-2
*
        integer natom,nsurf,isurf,inum
        real*8 q0(3,*),dir(3,*)
        real*8 x,e,de
*
        real*8 qt(3,matom),vt(msurf),dvdq(3,matom)
        real*8 rt,ead(msurf)
        integer k,iatom
        real*8 e1
        integer,parameter :: idum=1,idgrad=0
*
        write(*,*) 'Welcome to der1d'
*
        if (inum == 1) then
*
          call pot1d(q0,x   ,dir,ead,natom,nsurf)
          e=ead(isurf)
          call pot1d(q0,x+dx,dir,ead,natom,nsurf)
          e1=ead(isurf)
          de=(e1-e)/dx
          write(*,'(a,1p4e15.7)') 'dx,e,e1,de=',dx,e,e1,de
*
        else
*
          do iatom=1,natom
            do k=1,3
              qt(k,iatom)=q0(k,iatom)+dir(k,iatom)*x
            enddo
          enddo
*
          write(*,*) 'isurf start in der1d=',isurf
          call calvdv(qt,vt,dvdq,natom,nsurf,isurf,idum,idgrad)
          write(*,*) 'isurf Done in der1d'
          e=vt(isurf)
*
          de=0.d0
          do iatom=1,natom
            do k=1,3
              de=de+dvdq(k,iatom)*dir(k,iatom)
            enddo
          enddo
          write(*,*) 'analytical de=',de
*
        endif
*
*       stop 'end of der1d'
*
        end
