      subroutine getrc(r,rc,natom)
      implicit none
*
      include 'para.inc'
      include 'atom.inc'
*
      integer*4 natom
      real*8 r(3,*),rc(3,*),fac
      integer*4 iatom,k
*
*     Invert mass-weighted to conventional Cartesian coordinates
*
      if (imw == 1) then
*
        do iatom=1,natom
          fac=1.0d0/dsqrt(mass(iatom))
          do k=1,3
            rc(k,iatom)=fac*r(k,iatom)
          enddo
        enddo
*
      else
*
        do iatom=1,natom
          do k=1,3
            rc(k,iatom)=r(k,iatom)
          enddo
        enddo
*
      endif
*
      end
